<?php
session_start();
require_once 'includes/header.php';
require_once 'includes/config.php';
$error=false;
$errors=array();
// avoid user arriving to this page without logging in
if(!isset($_SESSION['user_logged_in']) && $_SESSION['user_logged_in']!=TRUE )
{
	header('Location:login.php');

}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
	
	
	$fname=$_POST['fname'];
	
	
	
	
	
	
	
	
	if(empty($fname)){
		$error=true;
		$errors['fname']='Please enter Category Name';
	}
	
	$front_picture=$_FILES['image']['name'];
	$checkEmailExists=mysqli_query($con,"SELECT * FROM categories WHERE name='".$fname."'");
	
	if(mysqli_num_rows($checkEmailExists)>0){
		$error=true;
		$errors['fname']='Category already exists, Please try new one.';
	}
	if($front_picture!=''){
			$destinationPath= getcwd().'/uploads/category';
			if(!file_exists($destinationPath)){
				mkdir($destinationPath,0777,true);
			}
			$file_name=time().'_'.$_FILES['image']['name'];
			
			$tempName=$_FILES['image']['tmp_name'];
			move_uploaded_file($tempName,$destinationPath.'/'.$file_name);
			$filePath=ROOT.'/uploads/category/'.$file_name;
		}else{
			$filePath='';
		}
	
	if($error==false)
	{
		$createCustomer=mysqli_query($con,"INSERT INTO categories (name,image,status) VALUES('".$fname."','".$filePath."',1)");
		
		if($createCustomer){
			$errors['success']='Category created successfully.';
		}else{
			$error=true;
			$errors['error']='Something went wrong!!!, Please try again.';
		}
	}
	
	
}

?>
 <div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">Add Category- 
添加类别</h4>
                  <p class="card-category"></p>
                </div>
                <div class="card-body">

<?php

if (isset($error) && $error==false && isset($errors['success'])) {
	echo '<div class="alert alert-success" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['success'].'</div>';
} 

if (isset($error) && $error==true && isset($errors['error'])) {
	echo '<div class="alert alert-danger" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['error'].'</div>';
} 

?>

  <form role="form" method="post" enctype="multipart/form-data">
   <div class="box-body">
   

   
   <div class="row">
   
   <div class="col-md-6">
   
   <div class="form-group">
	<input type="text" name="fname" required class="form-control" placeholder="Category Name" >
	<?php if($error==true && isset($errors['fname'])){?>
		<p class="error"><?php echo $errors['fname'];?></p>
	<?php } ?>
   </div>
   </div>
   
    <div class="col-md-6">
	 <div class="form-group">
	<div class="file-field input-field">
      <div class="btn btn-primary">
        <span>Icon</span>
        <input type="file" name="image">
      </div>
      
    </div>
    </div>
	
   </div>
   
   </div>
   
   
   
   <div class="box-footer">
		<button type="submit" class="btn btn-primary">Save</button>
   </div>
			  
   </form>
  </div>
  </div>
  </div>
  </div>
  </div>
  </div>

<?php include_once 'includes/footer.php'; ?>